﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Enemy : MonoBehaviour 
{
	public Rigidbody2D rigidBody;
	public float jumpForce = 5;
	public float jumpDelay = 1.5f;

	void Start ()
	{
		StartCoroutine (Jump ());
	}

	public IEnumerator Jump ()
	{
		while (true)
		{
			rigidBody.AddForce (Vector2.up * jumpForce * Time.deltaTime, ForceMode2D.Impulse);

			yield return new WaitForSeconds (jumpDelay);
		}
	}
}